/*
 a few compile switches

 $Id: def.h,v 1.4 2019/07/07 10:34:45 daeb Exp $

*/
/*

 Copyright (C) 2019 Bernhard Dubler ( klappe@daeublers.de )

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef _DEF_H_INCLUDED

/* debugging of the rfid code */

//#define DEBUGRFID
#undef DEBUGRFID

/* debugging of the code for the reed-switches of the flap and the motion sensor */

//#define DEBUGSENSORS
#undef DEBUGSENSORS

/* use usb for communication between pic and host */

#define USEUSB
//#undef USEUSB

/* use rs232 for communication between pic and host */

//#define USERS232
#undef USERS232

/* include uptime counter */

#define DEFTIME
//#undef DEFTIME

#define _DEF_H_INCLUDED
#endif
