/*
 count timer interrupts for time messurement
 implement uptime-clock

 $Id: time.h,v 1.3 2019/07/07 10:34:45 daeb Exp $
*/
/*

 Copyright (C) 2019 Bernhard Dubler ( klappe@daeublers.de )

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef _TIME_H_INCLUDED

#define TICKS_PER_S 100

typedef unsigned int timetick_t;
extern timetick_t now_timeticks;

#ifdef DEFTIME
void print_time(void);
#endif
void init_time(void);
#define service_time() ((void)0)

#define _TIME_H_INCLUDED
#endif
