/*
 code for the stepper motor for the 4way flap clock switch
 and code to move the lock of the sureflap up and down by command

 $Id: stepper.h,v 1.3 2019/07/07 10:34:45 daeb Exp $
*/
/*

 Copyright (C) 2019 Bernhard Dubler ( klappe@daeublers.de )

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef _STEPPER_H_INCLUDED

#include <stdint.h>

void move_riegel(uint8_t up);
void move_stepper(int degrees);
void init_stepper(void);

#define _STEPPER_H_INCLUDED
#endif
